Bug 529645 - Empty directories in / are not shown in rpm VFS
Summary: Empty directories in / are not shown in rpm VFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 11
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-19 10:03 UTC by Jan Safranek
Modified: 2013-07-02 23:39 UTC (History)
6 users (show)

Fixed In Version: 4.7.0-0.5.pre4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-16 01:15:03 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Safranek 2009-10-19 10:03:53 UTC
Description of problem:
I have rpm, which contains empty directory in /. mc does not show this directory when I open its content.

Version-Release number of selected component (if applicable):
mc-4.6.2-10.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. look at content of filesystem-2.4.21-1.fc11.i586.rpm
(filesystem-2.4.21-1.fc11.i586.rpm#rpm/CONTENTS.cpio#ucpio)
  
Actual results:
/etc
/lib
/usr
/var

Expected results:
/bin
/boot
/dev
...

Additional info:
rpm -qlp shows the directories correctly.

Comment 1 Slava Zanko 2009-10-23 10:07:12 UTC
Bug filled in upstream: http://www.midnight-commander.org/ticket/1732

Comment 2 Slava Zanko 2009-11-19 18:20:26 UTC
Bug fixed in upstream: http://www.midnight-commander.org/ticket/1732#comment:7

Comment 3 Fedora Update System 2009-12-11 09:39:50 UTC
mc-4.7.0-0.5.pre4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mc-4.7.0-0.5.pre4.fc12

Comment 4 Fedora Update System 2009-12-16 01:14:18 UTC
mc-4.7.0-0.5.pre4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.